Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRémy Coutable <remy@rymai.me>2017-07-21 16:54:58 +0300
committerRémy Coutable <remy@rymai.me>2017-08-11 15:55:10 +0300
commit7e3ff5a0beb64ca076f7e0af1d07e3c99775e426 (patch)
tree9d4b6a61a2b2f9703f88e4afbde7f883c4f29790 /scripts/detect-new-flaky-examples
parent8f8fd342313b0cd459d2fedb5b461b0cc063f248 (diff)
Retrieve and sync flaky specs report from and to S3
Signed-off-by: Rémy Coutable <remy@rymai.me>
Diffstat (limited to 'scripts/detect-new-flaky-examples')
-rwxr-xr-xscripts/detect-new-flaky-examples21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/detect-new-flaky-examples b/scripts/detect-new-flaky-examples
new file mode 100755
index 00000000000..3bee4f9a34b
--- /dev/null
+++ b/scripts/detect-new-flaky-examples
@@ -0,0 +1,21 @@
+#!/usr/bin/env ruby
+
+require 'json'
+
+report_file = ARGV.shift
+unless report_file
+ puts 'usage: detect-new-flaky-examples <report-file>'
+ exit 1
+end
+
+puts "Loading #{report_file}..."
+report = JSON.parse(File.read(report_file))
+
+if report.any?
+ puts "New flaky examples were detected!\n"
+ puts JSON.pretty_generate(report)
+ exit 1
+else
+ puts "No new flaky examples detected.\n"
+ exit 0
+end